/*
 * This file is generated by jOOQ.
 */
package nu.studer.sample;


import java.util.Arrays;
import java.util.List;

import javax.annotation.processing.Generated;

import nu.studer.sample.tables.Customer;
import nu.studer.sample.tables.Purpose;
import nu.studer.sample.tables.PurposeCategories;
import nu.studer.sample.tables.Task;

import org.jooq.Catalog;
import org.jooq.Table;
import org.jooq.impl.SchemaImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "https://www.jooq.org",
        "jOOQ version:3.15.1"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Selfbooster extends SchemaImpl {

    private static final long serialVersionUID = 1L;

    /**
     * The reference instance of <code>selfbooster</code>
     */
    public static final Selfbooster SELFBOOSTER = new Selfbooster();

    /**
     * Таблица пользователей
     */
    public final Customer CUSTOMER = Customer.CUSTOMER;

    /**
     * Таблица целей
     */
    public final Purpose PURPOSE = Purpose.PURPOSE;

    /**
     * The table <code>selfbooster.purpose_categories</code>.
     */
    public final PurposeCategories PURPOSE_CATEGORIES = PurposeCategories.PURPOSE_CATEGORIES;

    /**
     * The table <code>selfbooster.task</code>.
     */
    public final Task TASK = Task.TASK;

    /**
     * No further instances allowed
     */
    private Selfbooster() {
        super("selfbooster", null);
    }


    @Override
    public Catalog getCatalog() {
        return DefaultCatalog.DEFAULT_CATALOG;
    }

    @Override
    public final List<Table<?>> getTables() {
        return Arrays.asList(
            Customer.CUSTOMER,
            Purpose.PURPOSE,
            PurposeCategories.PURPOSE_CATEGORIES,
            Task.TASK
        );
    }
}
